Bug 241178 - library auparse has unresolved symbols
Summary: library auparse has unresolved symbols
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: audit (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Steve Grubb
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-24 11:25 UTC by Stanislav Ievlev
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-13 14:37:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix this problem (562 bytes, text/plain)
2007-05-24 11:25 UTC, Stanislav Ievlev
no flags Details

Description Stanislav Ievlev 2007-05-24 11:25:57 UTC
Description of problem:
library auparse has unresolved symbols from libaudit library


Version-Release number of selected component (if applicable):
1.5.3

How reproducible:
ldd -r libauparse.so

  
Actual results:
undefined symbol: audit_elf_to_machine  (./libauparse.so)
undefined symbol: audit_name_to_msg_type        (./libauparse.so)
        libc.so.6 => /lib64/libc.so.6 (0x00002ad80cff9000)
        /lib64/ld-linux-x86-64.so.2 (0x0000555555554000)
undefined symbol: audit_detect_machine  (./libauparse.so)
undefined symbol: audit_machine_to_name (./libauparse.so)
undefined symbol: audit_syscall_to_name (./libauparse.so)


Expected results:


Additional info:
see my patch to fix this problem

Comment 1 Stanislav Ievlev 2007-05-24 11:25:57 UTC
Created attachment 155332 [details]
patch to fix this problem

Comment 2 Steve Grubb 2007-05-24 12:21:55 UTC
Yes, this is true. I will apply the patch for the 1.5.4 release. Thank you for
sending it.

Comment 3 Steve Grubb 2007-06-26 19:58:43 UTC
Fixed in audit-1.5.4

Comment 4 Steve Grubb 2007-07-13 14:37:24 UTC
Audit 1.5.5 was pushed into rawhide and should have this problem fixed. Thanks
for reporting the problem and providing a patch.


Note You need to log in before you can comment on or make changes to this bug.